Bug 1822145 - Review Request: golang-github-geziyor - Web crawling & scraping framework
Summary: Review Request: golang-github-geziyor - Web crawling & scraping framework
Keywords:
Status: POST
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1822107 1821419 1821691 1821703 1822132 1822142
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-08 11:15 UTC by Fabian Affolter
Modified: 2020-06-24 13:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Fabian Affolter 2020-04-08 11:15:32 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/golang-github-geziyor.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/golang-github-geziyor-0-0.1.20200406gitcfb16fe.fc31.src.rpm

Project URL: https://github.com/geziyor/geziyor

Description:
Geziyor is a fast web crawling & scraping framework for Go. Supports JS
rendering.

Koji scratch build:
fails due to missing dependencies

rpmlint output:
$ rpmlint golang-github-geziyor-0-0.1.20200406gitcfb16fe.fc31.src.rpm 
golang-github-geziyor.src: W: no-%build-section
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint golang-github-geziyor-devel-0-0.1.20200406gitcfb16fe.fc31.noarch.rpm 
golang-github-geziyor-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/geziyor/geziyor/.goipath
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Fedora Account System Username: fab

Comment 1 Robert-André Mauchin 🐧 2020-06-20 20:09:53 UTC
 - License ok
 - Latest version packaged
 - Builds in mock
 - No rpmlint errors
 - Conforms to Packaging Guidelines

Package approved.

Comment 2 Gwyn Ciesla 2020-06-24 13:48:51 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-geziyor


Note You need to log in before you can comment on or make changes to this bug.